const parentContractType = {
  NFTCollectionAnyID: 'nft-collection',
  BurnToRedeem1155: 'edition',
  Vote: 'vote',
}

exports.CustomContract = Object.freeze({
  releaserAddress: '0x52381241ae58F659f3B5296ac0Ec5914754122f6',
  ContractType: {
    NFTCollectionAnyID: 'NFTCollectionAnyID',
    BurnToRedeem1155: 'BurnToRedeem1155',
    Vote: 'Vote',
  },
})

/**
 *
 * @private
 * @param {string} type contractType
 * @returns {string}
 */
exports.getParentContractType = (type) => {
  return parentContractType[type] || 'custom'
}
